Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.knipp.rritoolkit
Enum ContactData.Field

    java.lang.Object
      java.lang.Enum<ContactData.Field>
          de.knipp.rritoolkit.ContactData.Field

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactData.Field>

Enclosing class:
  ContactData

    public static enum ContactData.Field

extends java.lang.Enum<ContactData.Field>

enumeration for the different disclose fields

Version:
  $Revision: 14987 $
Author:
  Klaus Malorny

Enum Constant Summary
`Address` the address
`City` the city
`CountryCode` the country code
`EMail` the e-mail addresses
`Fax` the fax numbers
`Name` the name
`Organisation` the organisation
`Phone` the phone numbers
`PostalCode` the postal code
`Remarks` the remarks
`Sip` the SIP addresses
`Type` the contact type

Field Summary
`private java.lang.String` | `denicToken` the DENIC token
`private static java.util.Map<java.lang.String,ContactData.Field>` | `tokenMap` map from the token to the type

Method Summary
`static ContactData.Field` | `fromToken(java.lang.String denicToken)` return the field for the given token
`java.lang.String` | `getDenicToken()` return the DENIC token
`static ContactData.Field` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactData.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Type

    public static final ContactData.Field Type

  the contact type

### Name

    public static final ContactData.Field Name

  the name

### Organisation

    public static final ContactData.Field Organisation

  the organisation

### Address

    public static final ContactData.Field Address

  the address

### City

    public static final ContactData.Field City

  the city

### PostalCode

    public static final ContactData.Field PostalCode

  the postal code

### CountryCode

    public static final ContactData.Field CountryCode

  the country code

### Phone

    public static final ContactData.Field Phone

  the phone numbers

### Fax

    public static final ContactData.Field Fax

  the fax numbers

### EMail

    public static final ContactData.Field EMail

  the e-mail addresses

### Sip

    public static final ContactData.Field Sip

  the SIP addresses

### Remarks

    public static final ContactData.Field Remarks

  the remarks

Field Detail

### denicToken

    private java.lang.String denicToken

  the DENIC token

### tokenMap

    private static final java.util.Map<java.lang.String,ContactData.Field> tokenMap

  map from the token to the type

Method Detail

### values

    public static ContactData.Field[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactData.Field c : ContactData.Field.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactData.Field valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDenicToken

    public java.lang.String getDenicToken()

  return the DENIC token

  Returns:
    the token

### fromToken

    public static ContactData.Field fromToken(java.lang.String denicToken)

  return the field for the given token

  Parameters:
    `denicToken` - the token
  Returns:
    the field, or `null` if the token is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH